# Method: regions.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list#body.ListRegionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list#try-it)

Lists the regions in your Merchant Center account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/regions`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The id of the merchant for which to list region definitions. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of regions to return. The service may return fewer than this value. If unspecified, at most 50 rules will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `regions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `regions.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the `regions.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "regions": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regions#Region`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `regions[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regions#Region`)`` The regions from the specified merchant. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).